/**************************************************************************
 *
 * SOURCE FILE NAME : SET21.CMD
 *
 * VERSION : V1.0
 *
 * DATE    : 01/12/94
 *
 * DESCRIPTION  This command file sets the environment variables to build
 *              DBCS device driver.
 *
 * Functions
 *
 * CHANGE ACTIVITY =
 *  DATE      FLAG        APAR     CHANGE DESCRIPTION
 *  --------  ----------  -----    --------------------------------------
 *  mm/dd/yy  @Vr.mpppxx  xxxxx    xxxxxxx
 *
 ****************************************************************************/

parse upper arg ddkpath .

parse source . . command .

command = FILESPEC( 'Name', command )

i = POS( '.', command )


if i <> 0 then

   command = substr( command, 1, i - 1 )


if ddkpath = '' then

   do

      say
      say  command ' <DDK_PATH>'
      say
      say '        Where:'
      say '               DDK_PATH  ==  D:\DDK { DDK is installed on D: }'
      say '        example:'
      say '               'command ' D:\DDK'

      exit

   end


if substr( ddkpath, 2, 1 ) <> ':' then

   do

      say
      say 'Please specify drive name.'
      say

   end

else

   ddkdrv = left( ddkpath, 2 )


os2path = value( 'PATH', , 'OS2ENVIRONMENT' )


'@set path='ddkpath'\tools;'os2path
'@set include='ddkpath'\dbcsdd\h_dbcs;'ddkpath'\dbcsdd\h;'ddkpath'\dbcsdd\inc_dbcs;'ddkpath'\dbcsdd\inc;'ddkpath'\dbcsdd\h386;.'
'@set lib='ddkpath'\dbcsdd\lib;'
'@set msgdir='ddkpath'\mri\txt'
'@set tmp='ddkdrv'\'
'@set temp='ddkdrv'\'
'@set rt='ddkpath
'@set prompt=DBCS $i[$p]'
'@set P=932'
'@set C=081'
'@set L=JPN'
